/*
 * cfg_state.h
 *
 *  Created on: 22-02-2017
 *      Author:
 */

#ifndef CFG_STATE_H_
#define CFG_STATE_H_

#include "tdefs.h"

struct state_logic
{
	u8* out_bit;
	u8 out_bit_mask;
};


struct state_params
{
    u32 bity;
}__attribute__((__packed__));

struct state_io
{
	u32 out;
}__attribute__((__packed__));

struct state_args
{
	struct state_io io;
	struct state_params params;
}__attribute__((__packed__));

extern int state_initlog(void *arguments, void *logic);

#endif /* CFG_STATE_H_ */
